{% extends 'newbase.html' %}
{% block css %}
<link href="/static/newpages/plugins/bower_components/switchery/dist/switchery.min.css" rel="stylesheet">
{% endblock %}

{% block content %}
<div class="row bg-title">
    <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12">
        <h4 class="page-title">Tabs</h4> </div>
    <div class="col-lg-9 col-sm-8 col-md-8 col-xs-12">
        <ol class="breadcrumb">
            <li><a href="/tasks/dashboard/">Dashboard</a></li>
            <li><a>a new project profile</a></li>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-sm-12">
        <div class="white-box">
            <p class="text-muted m-b-30 font-13"> All the information you need to add for a new project </p>
            <form id="projectform" class="form-horizontal" method="post">
                {% csrf_token %}
                <div class="form-group">
                    <label class="col-md-12">项目名</label>
                    <div class="col-md-12">
                        <input type="text" class="form-control" name="project_name" placeholder="e.g. cqaso-web">
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-12">ssh url</label>
                    <div class="col-md-12">
                        <input type="text" name="ssh_url" class="form-control" placeholder="e.g. git@gitlab.com:chuangqi/cqaso-web.git">
                        <span class="help-block"><small>如果该项目用作自动任务, 则ssh url可选, 否则必须添加.</small></span>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-12">项目所属分组</label>
                    <div class="col-sm-6">
                        <select class="form-control" name="group_name" id="id_group_name">
                            {% for group in groups %}
                                <option value="{{  group.GroupName }}">{{ group.GroupName }}</option>
                            {% endfor %}
                        </select>
                    </div>
                    <button type="button" style="border-style: hidden; font-size: 15px; color: #00a65a" data-toggle="modal" data-target="#Modal1" data-whatever="@mdo"><span><i class="fa fa-plus"></i></span></button>
                </div>
                <div class="form-group">
                    <label class="col-md-12">分支名称</label>
                    <div class="col-md-12">
                        <input type="text" name="branch_name" class="form-control">
                        <span class="help-block"><small>输入你希望将那个分支用作自动构建.</small></span>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-12">目标主机</label>
                    <div class="col-md-12">
                        <input type="text" name="hosts" class="form-control">
                        <span class="help-block"><small>输入你希望将构建结果部署到哪些服务器, 多台服务器以逗号分隔, 可选.</small></span>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-12">项目域名</label>
                    <div class="col-md-12">
                        <input type="text" name="branch_domain" class="form-control">
                        <span class="help-block"><small>可选.</small></span>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-12">自动部署</label>
                    <div class="col-md-12">
                        <input type="checkbox" name="auto_deploy" class="js-switch" data-color="#99d683" data-size="small" style="display: none;" data-switchery="true">
                        <span class="help-block"><small>选择是否对以上所选分支开启自动部署.</small></span>
                    </div>
                </div>
                <a href="{{ request.META.HTTP_REFERER }}"><button type="button" class="btn btn-inverse waves-effect waves-light">Cancel</button></a>
                <button type="submit" class="btn btn-success waves-effect waves-light m-r-10">Submit</button>
            </form>
            <div class="modal fade" id="Modal1" tabindex="-1" role="dialog" aria-labelledby="ModalLabel1" style="display: none;">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                            <h4 class="modal-title" id="ModalLabel1">Add a new group</h4> </div>
                        <div class="modal-body">
                            <form id="groupform" method="post">
                                {% csrf_token %}
                                <div class="form-group">
                                        <label for="group-name" class="control-label">组名</label>
                                        <input type="text" class="form-control" id="group-name" name="GroupName">
                                    </div>
                                <div class="form-group">
                                    <label for="group-webhook" class="control-label">钉钉webhook</label>
                                    <input type="text" id="group-webhook" class="form-control" name="GroupWebHook">
                                    <span class="help-block"><small>webhook用作发送部署通知到钉钉群, 可选.</small></span>
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            <button type="button" class="btn btn-primary" data-dismiss="modal" onclick="AddGroup(this)">Save</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}

{% block js %}
<script src="/static/cqcicd/admin/admin.js"></script>
<script src="/static/newpages/plugins/bower_components/switchery/dist/switchery.min.js"></script>
{% endblock %}